Descriptors.FieldDescriptor.JavaType
Date: 2017-07-08

com.google.protobuf

## Enum Descriptors.FieldDescriptor.JavaType

- java.lang.Object
- - java.lang.Enum<Descriptors.FieldDescriptor.JavaType>
  - - com.google.protobuf.Descriptors.FieldDescriptor.JavaType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Descriptors.FieldDescriptor.JavaType>
  Enclosing class:
    Descriptors.FieldDescriptor

      public static enum Descriptors.FieldDescriptor.JavaType
      extends java.lang.Enum<Descriptors.FieldDescriptor.JavaType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `BYTE_STRING`
    `DOUBLE`
    `ENUM`
    `FLOAT`
    `INT`
    `LONG`
    `MESSAGE`
    `STRING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Descriptors.FieldDescriptor.JavaType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Descriptors.FieldDescriptor.JavaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INT

          public static final Descriptors.FieldDescriptor.JavaType INT

    - #### LONG

          public static final Descriptors.FieldDescriptor.JavaType LONG

    - #### FLOAT

          public static final Descriptors.FieldDescriptor.JavaType FLOAT

    - #### DOUBLE

          public static final Descriptors.FieldDescriptor.JavaType DOUBLE

    - #### BOOLEAN

          public static final Descriptors.FieldDescriptor.JavaType BOOLEAN

    - #### STRING

          public static final Descriptors.FieldDescriptor.JavaType STRING

    - #### BYTE_STRING

          public static final Descriptors.FieldDescriptor.JavaType BYTE_STRING

    - #### ENUM

          public static final Descriptors.FieldDescriptor.JavaType ENUM

    - #### MESSAGE

          public static final Descriptors.FieldDescriptor.JavaType MESSAGE

  - ### Method Detail

    - #### values

          public static Descriptors.FieldDescriptor.JavaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Descriptors.FieldDescriptor.JavaType c : Descriptors.FieldDescriptor.JavaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Descriptors.FieldDescriptor.JavaType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null